> ## Documentation Index
> Fetch the complete documentation index at: https://docs.baseten.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a route classifier

> Returns one Baseten-managed route classifier available for intelligent routes.



## OpenAPI

````yaml get /v1/grid/route_classifiers/{route_classifier_id}
openapi: 3.1.0
info:
  description: REST API for management of Baseten resources
  title: Baseten management API
  version: 1.0.0
servers:
  - url: https://api.baseten.co
security:
  - BearerAuth: []
paths:
  /v1/grid/route_classifiers/{route_classifier_id}:
    parameters:
      - $ref: '#/components/parameters/route_classifier_id'
    get:
      summary: Gets a route classifier available for intelligent routes
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GridRouteClassifierV1'
      x-codeSamples:
        - lang: bash
          source: >
            curl --request GET \

            --url
            https://api.baseten.co/v1/grid/route_classifiers/{route_classifier_id}
            \

            --header "Authorization: Bearer $BASETEN_API_KEY"
        - lang: python
          source: >-
            import requests

            import os

            API_KEY = os.environ.get("BASETEN_API_KEY", "<YOUR_API_KEY>")

            url =
            "https://api.baseten.co/v1/grid/route_classifiers/{route_classifier_id}"


            headers = {"Authorization": f"Bearer {API_KEY}"}


            response = requests.request(
                "GET",
                url,
                headers=headers,
                json={}
            )


            print(response.text)
components:
  parameters:
    route_classifier_id:
      schema:
        type: string
      name: route_classifier_id
      in: path
      required: true
  schemas:
    GridRouteClassifierV1:
      properties:
        id:
          description: Stable route classifier identifier.
          examples:
            - general-v1
          title: Id
          type: string
        name:
          description: Display name of the route classifier.
          examples:
            - General
          title: Name
          type: string
        supported_tradeoffs:
          description: >-
            Tradeoffs the route classifier supports. Empty when it supports all
            of them.
          items:
            enum:
              - cost
              - balanced
              - intelligence
            title: GridRouteTradeoffV1
            type: string
          title: Supported Tradeoffs
          type: array
        decidable_models:
          description: Model identities the route classifier picks from.
          examples:
            - - zai-org/GLM-5.3
              - anthropic/claude-opus-5-5
          items:
            type: string
          title: Decidable Models
          type: array
      required:
        - id
        - name
        - supported_tradeoffs
        - decidable_models
      title: GridRouteClassifierV1
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Send `Authorization: Bearer <api_key>`. The legacy `Authorization:
        Api-Key <api_key>` scheme is also accepted.

````